## kf6-bluez-qt 6.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.13.0") # handled by release scripts
project(BluezQt VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.13.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(CMakePackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)
include(ECMGeneratePkgConfigFile)
include(ECMQmlModule)
include(ECMDeprecationSettings)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(bluezqt_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/bluezqt_version.h")
ecm_setup_version(PROJECT
    VARIABLE_PREFIX BLUEZQT
    VERSION_HEADER "${bluezqt_version_header}"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6BluezQtConfigVersion.cmake"
    SOVERSION 6
)

# Dependencies
set(REQUIRED_QT_VERSION 6.6.0)

# Required Qt components to build this framework
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Network)

# Optional Qt components to build this framework
find_package(Qt6Test ${REQUIRED_QT_VERSION} CONFIG)
set_package_properties(Qt6Test PROPERTIES DESCRIPTION "Autotests for BluezQt" TYPE OPTIONAL)
find_package(Qt6Qml ${REQUIRED_QT_VERSION} CONFIG)
set_package_properties(Qt6Qml PROPERTIES DESCRIPTION "QML support for BluezQt" TYPE OPTIONAL)
find_package(Qt6QuickTest ${REQUIRED_QT_VERSION} CONFIG)
set_package_properties(Qt6QuickTest PROPERTIES DESCRIPTION "QML autotests for BluezQt" TYPE OPTIONAL)

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
)

# Subdirectories
add_subdirectory(src)
add_subdirectory(tools/bluezapi2qt)

if (BUILD_TESTING)
    add_subdirectory(tests)
    if(Qt6Test_FOUND)
        add_subdirectory(autotests)
    endif()
endif()

if(Qt6Qml_FOUND)
    add_subdirectory(src/imports)
endif()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6BluezQt")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6BluezQt_QCH
        FILE KF6BluezQtQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6BluezQtQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6BluezQtConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BluezQtConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BluezQtConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BluezQtConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel)

install(EXPORT KF6BluezQtTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6BluezQtTargets.cmake
    NAMESPACE KF6::)

install(FILES
    ${bluezqt_version_header}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BluezQt
    COMPONENT Devel)

ecm_generate_pkgconfig_file(BASE_NAME KF6BluezQt
  INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/BluezQt/
  DEPS "Qt6Core Qt6Network Qt6DBus"
INSTALL)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
set(bluezqt_SRCS
    a2dp-codecs.c
    manager.cpp
    manager_p.cpp
    adapter.cpp
    adapter_p.cpp
    battery.cpp
    device.cpp
    device_p.cpp
    gattapplication.cpp
    gattapplication_p.cpp
    gattcharacteristic.cpp
    gattcharacteristic_p.cpp
    gattcharacteristicadaptor.cpp
    gattdescriptor.cpp
    gattdescriptor_p.cpp
    gattdescriptoradaptor.cpp
    gattmanager.cpp
    gattmanager_p.cpp
    gattservice.cpp
    gattservice_p.cpp
    gattserviceadaptor.cpp
    gattserviceremote.cpp
    gattserviceremote_p.cpp
    gattcharacteristicremote.cpp
    gattcharacteristicremote_p.cpp
    gattdescriptorremote.cpp
    gattdescriptorremote_p.cpp
    input.cpp
    leadvertisement.cpp
    leadvertisement_p.cpp
    leadvertisementadaptor.cpp
    leadvertisingmanager.cpp
    media.cpp
    mediaendpoint.cpp
    mediaendpoint_p.cpp
    mediaendpointadaptor.cpp
    mediaplayer.cpp
    mediaplayer_p.cpp
    mediaplayertrack.cpp
    mediatransport.cpp
    mediatransport_p.cpp
    objectmanageradaptor.cpp
    devicesmodel.cpp
    job.cpp
    initmanagerjob.cpp
    initobexmanagerjob.cpp
    utils.cpp
    agent.cpp
    agentadaptor.cpp
    profile.cpp
    profileadaptor.cpp
    pendingcall.cpp
    request.cpp
    rfkill.cpp
    obexmanager.cpp
    obexmanager_p.cpp
    obexagent.cpp
    obexagentadaptor.cpp
    obextransfer.cpp
    obexsession.cpp
    obexobjectpush.cpp
    obexfiletransfer.cpp
    obexfiletransferentry.cpp
)

ecm_qt_declare_logging_category(bluezqt_SRCS
    HEADER debug.h
    IDENTIFIER BLUEZQT
    CATEGORY_NAME kf.bluezqt
    OLD_CATEGORY_NAMES org.kde.bluez
    DESCRIPTION "BluezQt"
    EXPORT BLUEZQT
)

set(dbusobjectmanager_xml ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.freedesktop.DBus.ObjectManager.xml)
set_source_files_properties(${dbusobjectmanager_xml} PROPERTIES INCLUDE "bluezqt_dbustypes.h")
qt_add_dbus_interface(bluezqt_SRCS ${dbusobjectmanager_xml} dbusobjectmanager)

set(obexfiletransfer1_xml ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.obex.FileTransfer1.xml)
set_source_files_properties(${obexfiletransfer1_xml} PROPERTIES INCLUDE "bluezqt_dbustypes.h")
qt_add_dbus_interface(bluezqt_SRCS ${obexfiletransfer1_xml} obexfiletransfer1)

qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.GattDescriptor1.xml bluezgattdescriptor1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.GattService1.xml bluezgattservice1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.freedesktop.DBus.Properties.xml dbusproperties)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.Adapter1.xml bluezadapter1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.AgentManager1.xml bluezagentmanager1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.Battery1.xml bluezbattery1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.GattCharacteristic1.xml bluezgattcharacteristic1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.GattManager1.xml bluezgattmanager1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.ProfileManager1.xml bluezprofilemanager1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.Device1.xml bluezdevice1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.LEAdvertisement1.xml bluezleadvertisement1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.LEAdvertisingManager1.xml bluezleadvertisingmanager1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.Media1.xml bluezmedia1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.MediaEndpoint1.xml bluezmediaendpoint1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.MediaPlayer1.xml bluezmediaplayer1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.MediaTransport1.xml bluezmediatransport1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.obex.AgentManager1.xml obexagentmanager1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.obex.Client1.xml obexclient1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.obex.Transfer1.xml obextransfer1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.obex.Session1.xml obexsession1)
qt_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.obex.ObjectPush1.xml obexobjectpush1)

add_library(KF6BluezQt ${bluezqt_SRCS})
add_library(KF6::BluezQt ALIAS KF6BluezQt)

qt_extract_metatypes(KF6BluezQt)

ecm_generate_export_header(KF6BluezQt
    BASE_NAME BluezQt
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6BluezQt INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/BluezQt>")

target_link_libraries(KF6BluezQt
    PUBLIC
        Qt6::Core
    PRIVATE
        Qt6::DBus
        Qt6::Network
)

set_target_properties(KF6BluezQt
    PROPERTIES VERSION ${BLUEZQT_VERSION}
    SOVERSION ${BLUEZQT_SOVERSION}
    EXPORT_NAME "BluezQt"
)

ecm_generate_headers(BluezQt_CamelCase_HEADERS
    HEADER_NAMES
        Types
        Manager
        Adapter
        Device
        GattApplication
        GattCharacteristic
        GattDescriptor
        GattManager
        GattService
        GattServiceRemote
        GattCharacteristicRemote
        GattDescriptorRemote
        Input
        LEAdvertisement
        LEAdvertisingManager
        Media
        MediaEndpoint
        MediaPlayer
        MediaPlayerTrack
        MediaTransport
        MediaTypes
        TPendingCall
        DevicesModel
        Job
        InitManagerJob
        InitObexManagerJob
        Services
        Agent
        Profile
        PendingCall
        Request
        Rfkill
        ObexManager
        ObexAgent
        ObexTransfer
        ObexSession
        ObexObjectPush
        ObexFileTransfer
        ObexFileTransferEntry

    REQUIRED_HEADERS BluezQt_HEADERS
    PREFIX BluezQt
)

# Install files
install(TARGETS KF6BluezQt
        EXPORT KF6BluezQtTargets
        ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${BluezQt_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BluezQt/BluezQt
    COMPONENT Devel)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/bluezqt_export.h
    ${BluezQt_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BluezQt/bluezqt
    COMPONENT Devel)

ecm_qt_install_logging_categories(
    EXPORT BLUEZQT
    FILE bluezqt.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)


if(BUILD_QCH)
    ecm_add_qch(
        KF6BluezQt_QCH
        NAME BluezQt
        BASE_NAME KF6BluezQt
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${BluezQt_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            BLUEZQT_EXPORT
            BLUEZQT_DEPRECATED
            BLUEZQT_DEPRECATED_EXPORT
            "BLUEZQT_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== tests/CMakeLists.txt ===
include(ECMMarkAsTest)

macro(bluezqt_executable_tests)
    foreach(_testname ${ARGN})
        add_executable(${_testname} ${_testname}.cpp)
        target_link_libraries(${_testname} Qt6::DBus Qt6::Network Qt6::Test KF6BluezQt)
        ecm_mark_as_test(${_testname})
    endforeach(_testname)
endmacro()

bluezqt_executable_tests(
    adaptersreceiver
    devicereceiver
    chatprofile
    leserver
    mediaendpointconnector
)

## kf6-bluez-qt 6.3.0

=== debian/changelog ===
kf6-bluez-qt (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Shorten the license-text for CC0-1.0 as the complete license-text is
    found under /usr/share/common-licenses/.
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Modernize building by using dh-sequence build-dependencies and
    dropping manually specified addons and buildsystems for dh.
  * Update symbols from buildlogs.

  [ Aurélien COUDERC ]
  * Add/update Jonathan Esk-Riddell in upstream signing keys.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:45:14 +0200

kf6-bluez-qt (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 24 Mar 2024 01:31:34 +0100

bluez-qt (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 12:51:37 +0100

bluez-qt (5.107.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Use udev.pc to place udev files, thx to Chris Hofstaedtler (Closes:
    #1058802).

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Dec 2023 23:01:04 +0100

bluez-qt (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:24 +0200

bluez-qt (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:46 +0100

bluez-qt (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:21 +0100

bluez-qt (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:34:59 +0100

bluez-qt (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:19 +0100

bluez-qt (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:54 +0100

bluez-qt (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:32 +0200

bluez-qt (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:25 +0200

bluez-qt (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:54 +0200

bluez-qt (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

  [ Pino Toscano ]
  * Enable again the qmltests test, as it seems to work fine now; drop
    patch disable-failing-qmltests.
  * Mark the dbus-x11, qml-module-qttest, xauth, and xvfb build dependencies
    as nocheck, as they are needed only by dh_auto_test.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:01 +0200

bluez-qt (5.93.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Remove inactive Uploaders.
  * Remove no more existing header from the 'acc' autopkgtest config.
  * Fix field name case in debian/control (Multi-arch => Multi-Arch).

 -- Pino Toscano <pino@debian.org>  Thu, 19 May 2022 07:34:40 +0200

bluez-qt (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * Update the list of installed files.
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:42 +0200

bluez-qt (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Refresh patch disable-failing-qmltests.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:40 +0100

bluez-qt (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Update list of installed files.
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900

bluez-qt (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.



=== debian/control ===
Source: kf6-bluez-qt
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11 <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-qtqml-workerscript <!nocheck>,
               qml6-module-qtquick-window <!nocheck>,
               qml6-module-qttest <!nocheck>,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               systemd-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/bluez-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-bluez-qt.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-bluez-qt
Rules-Requires-Root: no

Package: libkf6bluezqt-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for bluez-qt
 bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.
 .
 This package contains the data files.

Package: libkf6bluezqt-dev
Section: libdevel
Architecture: linux-any
Depends: libkf6bluezqt6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6bluezqt-doc (= ${source:Version}),
Description: development files for bluez-qt
 This package provides all the necessary development headers for building
 software that uses the bluez-qt library.
 .
 This package contains the development files.

Package: libkf6bluezqt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: documentation files for bluez-qt
 bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.
 .
 This package contains the qch documentation files.

Package: libkf6bluezqt6
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libkf6bluezqt-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt wrapper for bluez
 bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.

Package: qml6-module-org-kde-bluezqt
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: QML wrapper for bluez
 bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.
 .
 This package contains the QML module for bluez-qt.

## kf6-bluez-qt 6.6.0

=== debian/changelog ===
kf6-bluez-qt (6.6.0-0ubuntu2) oracular; urgency=medium

  * Refresh symbols all arches.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 17:11:07 +0100

kf6-bluez-qt (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:03:38 +0100

kf6-bluez-qt (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:20:41 +0100

kf6-bluez-qt (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:32:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-bluez-qt
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -10,7 +11,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-qtqml-workerscript <!nocheck>,
@@ -24,8 +25,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/bluez-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-bluez-qt.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-bluez-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-bluez-qt
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-bluez-qt
 Rules-Requires-Root: no
 
 Package: libkf6bluezqt-data

## kf6-bluez-qt 6.9.0

=== debian/changelog ===
kf6-bluez-qt (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:43:38 +0000

kf6-bluez-qt (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 10:34:59 +0000

kf6-bluez-qt (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:33:36 +0000

kf6-bluez-qt (6.6.0-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Tue, 12 Nov 2024 12:08:31 +0100

kf6-bluez-qt (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.6.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 22:59:05 +0200

kf6-bluez-qt (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Aug 2024 20:39:28 +0200

kf6-bluez-qt (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:21:55 +0200

kf6-bluez-qt (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 00:52:55 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-qtqml-workerscript <!nocheck>,
@@ -44,6 +45,7 @@
 Section: libdevel
 Architecture: linux-any
 Depends: libkf6bluezqt6 (= ${binary:Version}),
+         qml6-module-org-kde-bluezqt (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6bluezqt-doc (= ${source:Version}),
@@ -80,7 +82,9 @@
 Package: qml6-module-org-kde-bluezqt
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: QML wrapper for bluez
  bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
  .

## kf6-bluez-qt 6.10.0

=== debian/changelog ===
kf6-bluez-qt (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:20:28 +0100

kf6-bluez-qt (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 11:57:09 +0100

kf6-bluez-qt (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:22 -0600

kf6-bluez-qt (6.6.0-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 13:37:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: kf6-bluez-qt
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
+               dbus-x11 <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qml6-module-qttest <!nocheck>,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
+               qt6-declarative-private-dev,
                qt6-tools-dev (>= 6.5.0~),
                systemd-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/bluez-qt
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-bluez-qt
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-bluez-qt
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-bluez-qt.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-bluez-qt
 Rules-Requires-Root: no
 
 Package: libkf6bluezqt-data
@@ -46,7 +46,7 @@
 Architecture: linux-any
 Depends: libkf6bluezqt6 (= ${binary:Version}),
          qml6-module-org-kde-bluezqt (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6bluezqt-doc (= ${source:Version}),
 Description: development files for bluez-qt
@@ -82,9 +82,7 @@
 Package: qml6-module-org-kde-bluezqt
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML wrapper for bluez
  bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
  .

## kf6-bluez-qt 6.11.0

=== debian/changelog ===
kf6-bluez-qt (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 16:57:18 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                cmake (>= 3.16~),
                dbus-x11 <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-qtqml-workerscript <!nocheck>,

## kf6-bluez-qt 6.12.0

=== debian/changelog ===
kf6-bluez-qt (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:48:59 +0000

kf6-bluez-qt (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:44:57 +0000

kf6-bluez-qt (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:16:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: kf6-bluez-qt
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus-x11 <!nocheck>,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qml6-module-qttest <!nocheck>,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
-               qt6-declarative-private-dev,
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                systemd-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/bluez-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-bluez-qt.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-bluez-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-bluez-qt
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-bluez-qt
 Rules-Requires-Root: no
 
 Package: libkf6bluezqt-data
@@ -46,7 +46,7 @@
 Architecture: linux-any
 Depends: libkf6bluezqt6 (= ${binary:Version}),
          qml6-module-org-kde-bluezqt (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6bluezqt-doc (= ${source:Version}),
 Description: development files for bluez-qt
@@ -82,7 +82,9 @@
 Package: qml6-module-org-kde-bluezqt
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: QML wrapper for bluez
  bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
  .

## kf6-bluez-qt 6.13.0

=== debian/changelog ===
kf6-bluez-qt (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:34:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: kf6-bluez-qt
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
+               dbus-x11 <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qml6-module-qttest <!nocheck>,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
+               qt6-declarative-private-dev,
                qt6-tools-dev (>= 6.5.0~),
                systemd-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/bluez-qt
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-bluez-qt
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-bluez-qt
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-bluez-qt.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-bluez-qt
 Rules-Requires-Root: no
 
 Package: libkf6bluezqt-data
@@ -46,7 +46,7 @@
 Architecture: linux-any
 Depends: libkf6bluezqt6 (= ${binary:Version}),
          qml6-module-org-kde-bluezqt (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6bluezqt-doc (= ${source:Version}),
 Description: development files for bluez-qt
@@ -82,9 +82,7 @@
 Package: qml6-module-org-kde-bluezqt
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML wrapper for bluez
  bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
  .

## kf6-bluez-qt 6.14.0

=== debian/changelog ===
kf6-bluez-qt (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:54:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: kf6-bluez-qt
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus-x11 <!nocheck>,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.14.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qml6-module-qttest <!nocheck>,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
-               qt6-declarative-private-dev,
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                systemd-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/bluez-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-bluez-qt.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-bluez-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-bluez-qt
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-bluez-qt
 Rules-Requires-Root: no
 
 Package: libkf6bluezqt-data
@@ -46,7 +46,7 @@
 Architecture: linux-any
 Depends: libkf6bluezqt6 (= ${binary:Version}),
          qml6-module-org-kde-bluezqt (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6bluezqt-doc (= ${source:Version}),
 Description: development files for bluez-qt
@@ -82,7 +82,9 @@
 Package: qml6-module-org-kde-bluezqt
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: QML wrapper for bluez
  bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
  .

## kf6-bluez-qt 6.15.0

=== debian/changelog ===
kf6-bluez-qt (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:30:27 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.15.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-qtqml-workerscript <!nocheck>,

## kf6-bluez-qt 6.16.0

=== debian/changelog ===
kf6-bluez-qt (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:38:45 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.15.0~),
+               extra-cmake-modules (>= 6.16.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-qtqml-workerscript <!nocheck>,

## kf6-bluez-qt 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
 project(BluezQt VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.13.0 NO_MODULE)
+find_package(ECM 6.17.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -19,7 +19,7 @@
 include(ECMGenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
-include(ECMAddQch)
+include(ECMGenerateQDoc)
 include(CMakePackageConfigHelpers)
 include(ECMQtDeclareLoggingCategory)
 include(ECMGeneratePkgConfigFile)
@@ -27,9 +27,6 @@
 include(ECMDeprecationSettings)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 set(bluezqt_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/bluezqt_version.h")
 ecm_setup_version(PROJECT
@@ -40,7 +37,7 @@
 )
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 
 # Required Qt components to build this framework
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Network)
@@ -54,7 +51,7 @@
 set_package_properties(Qt6QuickTest PROPERTIES DESCRIPTION "QML autotests for BluezQt" TYPE OPTIONAL)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
+    QT 6.10.0
 )
 
 # Subdirectories
@@ -74,16 +71,6 @@
 
 # Create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6BluezQt")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6BluezQt_QCH
-        FILE KF6BluezQtQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6BluezQtQchTargets.cmake\")")
-endif()
 
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KF6BluezQtConfig.cmake.in"

=== debian/changelog ===
kf6-bluez-qt (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:12:38 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-qtqml-workerscript <!nocheck>,
